node-des.js_1.0.0-3_all.deb


Advertisement

Description

node-des.js - DES implementation in pure javascript

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-des.js_1.0.0-3_all.deb
Package name node-des.js
Package version 1.0.0
Package release 3
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/indutny/des.js#readme
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 6.66 KB
Installed size 35.00 KB
This modules provides implementation of DES encryption algorithm
in javascript.
The Data Encryption Standard (DES) is a symmetric-key algorithm for
the encryption of electronic data. Although now considered insecure,
it is implemented in standard cryptographic library implemented in
Node.js.
This pure javascript module is needed for browserify compatibility
layer of Node.js API.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-des.js_1.0.0-3_all.deb 1.0.0 all Ubuntu Universe
node-des.js - - -

Requires

Name Value
node-assert >= 1.0.0
node-inherits >= 2.0.1
nodejs >= 6

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-des.js_1.0.0-3_all.deb
Source Package node-des.js

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-des.js deb package:
    # sudo apt-get install node-des.js

Files

Path
/usr/lib/nodejs/des.js/package.json
/usr/lib/nodejs/des.js/lib/des.js
/usr/lib/nodejs/des.js/lib/des/cbc.js
/usr/lib/nodejs/des.js/lib/des/cipher.js
/usr/lib/nodejs/des.js/lib/des/des.js
/usr/lib/nodejs/des.js/lib/des/ede.js
/usr/lib/nodejs/des.js/lib/des/utils.js
/usr/share/doc/node-des.js/changelog.Debian.gz
/usr/share/doc/node-des.js/copyright

Changelog

2019-01-01 - Bastien Roucariès <rouca@debian.org>
node-des.js (1.0.0-3) unstable; urgency=medium
* Avoid circular deps for rollup.
* Avoid Buffer() warnings
2018-05-18 - Bastien Roucariès <rouca@debian.org>
node-des.js (1.0.0-2) unstable; urgency=medium
* Move to salsa
* Bump compat and policy (no changes)
2017-04-17 - Bastien Roucariès <rouca@debian.org>
node-des.js (1.0.0-1) unstable; urgency=low
* Initial release (Closes: #854451)
* replace node-minimalistic-assert by node-assert.

See Also

Package Description
node-detect-file_1.0.0-1_all.deb Detect if a filepath exists and resolves the full filepath
node-detect-indent_5.0.0-1_all.deb Detect the indentation of code
node-detect-newline_2.1.0-1_all.deb Detect the dominant newline character of a string
node-detective_5.1.0-1_all.deb find all require() calls by walking the AST
node-diacritics_1.3.0-1_all.deb remove diacritics from strings - Node.js module
node-diff_1.4.0~dfsg-1_all.deb javascript text differencing implementation
node-diffie-hellman_5.0.2-3_all.deb pure javascript diffie-hellman key exchange
node-difflet_1.0.1-1_all.deb colorful diffs for javascript objects
node-dirty_1.0.0-0.1_all.deb tiny and fast key-value store for Node
node-doctrine_3.0.0-1_all.deb JSDoc parser
node-dom-serializer_0.1.0-1_all.deb render htmlparser2's DOM nodes to string
node-domain-browser_1.1.7-1_all.deb Node's domain module for the web browser
node-domelementtype_1.3.0-1_all.deb all the types of nodes in htmlparser2's dom
node-domhandler_2.3.0-1_all.deb htmlparser2 handler that turns pages into a dom
node-domino_2.1.2~dfsg-1_all.deb server-side DOM implementation based on Mozilla's dom.js
Advertisement
Advertisement